[FoLUG]Stampante Hp930

Alessandro Ronchi folug@lists.linux.it
Fri, 18 Jan 2002 16:50:36 +0100


Il 14:22, venerdý 18 gennaio 2002, CyberPenguin ha scritto:

> Grazie mille Alessandro, preziosi consigli ...  ;-) ...
> sul sito rpmfind.net  di aggiornamenti di printtool x MDK ne ho
> trovato 2:
>
>    * A printer configuration tool with a graphical user interface.
>      Mandrake printtool         3.40-6mdk.src.rpm
>    * A printer configuration tool with a graphical user interface.
>      Mandrake printtool         3.40-6mdk.noarch.rpm

L'src Ŕ il sorgente. Ti consiglio questo. Per installare un pacchetto 
dal sorgente bisogna compilarlo. Farlo Ŕ semplicissimo:
- scarichi il file src
- fai --> rpm --rebuild --target i686 nomepacchetto.src.rpm (se hai un 
pentium 2 o superiore, altrimenti fai --target i386)
- nella red hat fai --> cd   /usr/src/redhat/RPMS/i686/ (nella mandrake 
il percorso sarÓ simile)
- rpm -ivh nomepacchetto.i686.rpm 
- dopo averlo installato, puoi cancellare il file nella dir 
/usr/src/redhat/RPMS/i686/

> ... da newbie, mi sembra doveroso chiederti: quale debbo installare?
> ... e poi che differenza c'Ŕ tra il ...scr.rpm ed il ...noarch.rpm?

Il noarch Ŕ compilato senza ottimizzazioni riguardanti il processore. 
Quindi se hai un pentium 2 o superiore, ti conviene prendere il 
sorgente e procedere come ti ho indicato.

> Il primo Ŕ forse solo il sorgente, o dico fesserie? Inoltre, per
> installarlo Ŕ sufficiente solo eseguirlo da root?

Devi essere root, ma prima devi compilarlo come ti ho spiegato.


> Per l'RPM di Cups poi me ne danno di 6 tipi %-)
>
>    * Common Unix Printing System - Server package Mandrake
>      cups-1.1.10-9mdk.i586.rpm
>    * Common Unix Printing System - Server package Mandrake
>      cups-1.1.10-9mdk.src.rpm
>    * Common Unix Printing System - Server package Mandrake
>      cups-1.1.7-1.2mdk.src.rpm
>    * Common Unix Printing System - Server package Mandrake
>      cups-1.1.7-1.2mdk.i586.rpm
>    * Common Unix Printing System - Server package Mandrake
>      cups-1.1.7-1.1mdk.src.rpm
>    * Common Unix Printing System - Server package Mandrake
>      cups-1.1.7-1.1mdk.i586.rpm
>
> Con la MDK 8.0 ed una Cpu Pentium III 800 devo forse scegliere il
> primo in cima alla lista?  :-p

La differenza tra i586 e i686 non Ŕ grande, in termini di velocitÓ. 
Quindi ti conviene prendere il primo della lista (quello che ha la 
versione pi¨ grande e che non Ŕ sorgente).
Se sei pignolo, come me, scarichi il secondo e fai la stessa cosa che 
ti ho spiegato in cima all'email.
-- 
Alessandro Ronchi, Rappresentante degli studenti nel consiglio  
di Corso di laurea di Scienze dell'informazione e nel consiglio 
di Polo Cesenate.
http://rappresentanti.csr.unibo.it 
http://www.littlepenguin.org/~ronchi